Package Details: e-foto-svn 434-1

Git Clone URL: https://aur.archlinux.org/e-foto-svn.git (read-only)
Package Base: e-foto-svn
Description: A free GNU/GPL educational digital photogrammetric workstation
Upstream URL: http://www.efoto.eng.uerj.br
Keywords: GIS Remote Sensing
Licenses: GPL2
Conflicts: e-foto
Provides: e-foto
Submitter: geosam
Maintainer: geosam
Last Packager: geosam
Votes: 2
Popularity: 0.000001
First Submitted: 2015-07-28 02:13
Last Updated: 2018-10-21 19:34

Dependencies (4)

Required by (0)

Sources (1)

Latest Comments

marsoft commented on 2018-06-10 01:11

There are two small errors in PKGBUILD, at least they happen with current SVN. Here is the patch:

--- PKGBUILD.orig 2018-06-10 04:09:38.811845802 +0300 +++ PKGBUILD 2018-06-10 04:07:18.297803405 +0300 @@ -31,9 +31,9 @@

package() { cd ${pkgname} - make DESTDIR="$pkgdir" install || return 1 + make DESTDIR="$pkgdir" INSTALL_ROOT="$pkgdir" install || return 1 mkdir -p ${pkgdir}/usr/{bin,share/{applications,pixmaps}} - install -m 755 -p "${srcdir}/bin/e-foto" "${pkgdir}/usr/bin/e-foto" + install -m 755 -p "build/bin/e-foto" "${pkgdir}/usr/bin/e-foto" install -D -m644 efoto.ico "${pkgdir}/usr/share/pixmaps/efoto.ico"<br> echo "[Desktop Entry] Name=${_pkgname}

marsoft commented on 2018-06-10 01:11

There are two small errors in PKGBUILD, at least they happen with current SVN. Here is the patch:

--- PKGBUILD.orig   2018-06-10 04:09:38.811845802 +0300
+++ PKGBUILD    2018-06-10 04:07:18.297803405 +0300
@@ -31,9 +31,9 @@

 package() {
   cd ${pkgname}
-  make DESTDIR="$pkgdir" install || return 1
+  make DESTDIR="$pkgdir" INSTALL_ROOT="$pkgdir" install || return 1
   mkdir -p ${pkgdir}/usr/{bin,share/{applications,pixmaps}}
-  install -m 755 -p "${srcdir}/bin/e-foto" "${pkgdir}/usr/bin/e-foto"
+  install -m 755 -p "build/bin/e-foto" "${pkgdir}/usr/bin/e-foto"
   install -D -m644 efoto.ico "${pkgdir}/usr/share/pixmaps/efoto.ico"  
   echo "[Desktop Entry]
 Name=${_pkgname}

elizio commented on 2017-09-17 22:12

Sorry my poor english!
Very good package, but need install "gdal" before.

Another possibility is follow this instructions:
https://hannes.enjoys.it/blog/2016/10/e-foto-on-archlinux/
Both did works to me.

francescortiz commented on 2016-03-13 09:51

It does not compile:

http://pastebin.com/QCEqKt5q